@import "../../styles/colors.scss";

.custom-navbar {
  $item-color: $white;
  $radius: 3px;

  background-color: #f8f8f8;
  box-shadow: 0 0 10px rgba(14, 14, 14, 0.26);

  transition: background 0.5s;
  padding: 0.5rem 1.5rem;

  .navbar-toggler {
    border: 0;
  }

  .container {
    button.button.btn:focus{
      box-shadow: none;
    }
    .navbar-brand {
      color: black;
      background: transparent;
      a{
        text-decoration: none;
      }
      &:focus{
        box-shadow:none;
      }
      .brand-logo {
        background: $black;
        color: $white;
        border: 4px solid #000;
        padding-right: 2px;
        &:hover{
        background: $white;
        color: $black;
        }
        &:hover .bw{
          background: $black;
          color: $white;
        }
        & .bw{
          background:$white;
          color: $black;
          padding: 0 3px;
        }
      }

      &:hover {
        background-color: darken($white, 5%);
        color: $regal-blue;
        cursor: pointer;
      }
    }
  }

  &.is-fixed {
    background: transparent;
    .btn-link {
      color: $white;
    }

    @media (max-width: 767.98px) {
      background: $white;

      .btn-link {
        color: $black;
      }

      .navbar-brand {
        color: $black;
      }
    }
  }
}

.navbar-nav{
  a:hover{
    text-decoration: none;
  }
}